Looking for Mac Pro 4,1 to 5,1 Firmware To Upgrade to Sierra OS

Discussion in 'Mac Pro' started by legacybk, Jun 15, 2017.

  1. legacybk macrumors newbie

    Joined:
    Jun 8, 2017
    #1
    Can anyone provide a link to a page/site with tutorial where I can download the firmware patch in order to turn my
    2009 MP 4,1 into a 5,1 so I can upgrade my OS to Sierra?

    I've read Netkas site has it but i can't register an account there. I haven't received the account confirmation email for days now.

    I found an old netka thread somewhere else with a zip file download that showed it could to 4,1>5,1 or reverse, but I keep getting a 5570 error. Anyone know what this is?

    Thank You
     
  2. treekram, Jun 16, 2017
    Last edited by a moderator: Jun 19, 2017

    treekram macrumors 6502a

    Joined:
    Nov 9, 2015
    Location:
    Honolulu HI
    #2
    Were you trying to download from http://forum.netkas.org/index.php/topic,852.0.html

    I didn't have an issue using Firefox (Sierra). I didn't register. I did a list of the zip contents and it looks like what a zip file should look like.

    UPDATE: Misunderstood, looks like you got the error trying to do the update not downloading it. You might want to look at the following:
    https://www.ifixit.com/Answers/View/337306/EFI+and+Firmware+update+from+4,1+to+5,1+for+Sierra+Upgrade+Solved

    I'm presuming you haven't seen this because it is mentioned there that the 5570 error occurs because you already have the updated firmware (for 4,1), which would imply there's some additional steps you need to do (or Apple has closed whatever loophole that allowed the update to work).
     
  3. Sebct macrumors regular

    Joined:
    Dec 18, 2010
    Location:
    London, UK.
    #3
  4. treekram macrumors 6502a

    Joined:
    Nov 9, 2015
    Location:
    Honolulu HI
    #4
    I did not see post #3 before doing my update - I swear. :p

    The ifixit article is near the top of Google search results for "mac firmware update" - I wasn't looking for the Mac Pro 4,1 -> 5,1 update.
     
  5. VanneDC macrumors 6502a

    VanneDC

    Joined:
    Jun 5, 2010
    Location:
    Dubai, UAE
    #5
    Disable sip or run an older os that doesn't have sip. Simple. :)
     

Share This Page